class 'tashi' (d2cleaner)

function tashi:__init(baseName) super(baseName)
end

function tashi:calcImageName(input)

  	in_ = input;

  	if (self:isSitting()) then
   		if (input == "IDLE") then
      		in_ =  "SIT"
   		end
  	end

  	res = D2Person.calcImageName(self, in_)
  
  	return res
  
end